<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");

(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';
if ($pg == 'ambil_sub') {
    $id = $_POST['kategori'];
    $sql = mysqli_query($koneksi, "SELECT * FROM bk_sub WHERE id_kat ='$id'");
    echo "<option value=''>Pilih Sub Kategori</option>";
    while ($sub = mysqli_fetch_array($sql)) {
        echo "<option value='$sub[id]'>$sub[sub_kategori]</option>";
    }
}
if ($pg == 'ambil_jenis') {
    $id = $_POST['sub'];
    $sql = mysqli_query($koneksi, "SELECT * FROM bk_pelanggaran WHERE idsub ='$id'");
    echo "<option value=''>Pilih Jenis Pelanggaran</option>";
    while ($sub = mysqli_fetch_array($sql)) {
        echo "<option value='$sub[id]'>$sub[pelanggaran]</option>";
    }
}
if ($pg == 'hapus_pelanggaran') {
	$id = $_POST['id'];
$exec = mysqli_query($koneksi, "DELETE FROM bk_pelanggaran WHERE id='$id'");
	
}
if ($pg == 'hapus_sub') {
	$id = $_POST['id'];
$exec = mysqli_query($koneksi, "DELETE FROM bk_sub WHERE id='$id'");
$hps = mysqli_query($koneksi, "DELETE FROM bk_pelanggaran WHERE idsub='$id'");	
}
if ($pg == 'hapus_kat') {
	$id = $_POST['id'];
	$query = mysqli_query($koneksi, "select * from bk_kategori WHERE id='$id'");
     while ($data = mysqli_fetch_array($query)):
	$hapuspelanggaran = mysqli_query($koneksi, "DELETE FROM  bk_pelanggaran WHERE idkat in (" . $id . ")");
	$hapus = mysqli_query($koneksi, "DELETE FROM  bk_sub WHERE id_kat in (" . $id . ")");
    endwhile;
	
$exec = mysqli_query($koneksi, "DELETE FROM bk_kategori WHERE id='$id'");

}
if ($pg == 'hapus_tindakan') {
	$id = $_POST['id'];
$exec = mysqli_query($koneksi, "DELETE FROM bk_tindakan WHERE id='$id'");
	
}
if ($pg == 'ambil_kelas') {
    $kelas = $_POST['kelas'];
    $sql = mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_kelas ='$kelas'");
    echo "<option value=''>Pilih Siswa</option>";
    while ($sub = mysqli_fetch_array($sql)) {
        echo "<option value='$sub[nis]'>$sub[nama]</option>";
    }
}
if ($pg == 'hapus_siswa') {
	$id = $_POST['id'];
$exec = mysqli_query($koneksi, "DELETE FROM bk_siswa WHERE id='$id'");
	
}
if ($pg == 'simpanpel') {
      $data = [
	'pelanggaran'=>$_POST['pelanggaran'],
	'poin'=>$poin = $_POST['poin'],
     'idsub'=>$sub = $_POST['sub'],
      'idkat'=>$kat = $_POST['kategori']
	];
$exec=insert($koneksi,'bk_pelanggaran',$data);
}
if ($pg == 'editpel') {
	$id=$_POST['id'];
      $data = [
	'pelanggaran'=>$_POST['pelanggaran'],
	'poin'=>$poin = $_POST['poin']
	];
$exec=update($koneksi,'bk_pelanggaran',$data,['id'=>$id]);
}	
if ($pg == 'tambah_kategori') {
      $data = [
	'kategori'=>$_POST['kategori']
	
	];
$exec=insert($koneksi,'bk_kategori',$data);
}
if ($pg == 'edit_kategori') {
	$id = $_POST['id'];
      $data = [
	'kategori'=>$_POST['kategori']
	
	];
$exec=update($koneksi,'bk_kategori',$data,['id'=>$id]);
}
if ($pg == 'tambah_sub') {
      $data = [
	'id_kat'=>$_POST['kategori'],
	'sub_kategori'=>$_POST['sub']
	];
$exec=insert($koneksi,'bk_sub',$data);
}
if ($pg == 'edit_sub') {
	$id = $_POST['id'];
      $data = [
	'id_kat'=>$_POST['kategori'],
	'sub_kategori'=>$_POST['sub']
	];
$exec=update($koneksi,'bk_sub',$data,['id'=>$id]);
}
if ($pg == 'input_bk') {
	$tapel = $_POST['tapel'];
	$nis = $_POST['nis'];
    $idpel = $_POST['jenis'];
    $idkat = $_POST['kategori'];
	$idsub = $_POST['sub'];
	$ket = $_POST['ket'];
	$tanggal = $_POST['tanggal'];
	$p=fetch($koneksi,'bk_pelanggaran',['id'=>$idpel]);
	$poin=$p['poin'];
      $data = [
	'nis'=>$nis,
	'tanggal'=>$tanggal,
	'idkat'=>$idkat,
	'idsub'=>$idsub,
	'idpel'=>$idpel,
	'tapel'=>$tapel,
	'ket'=>$ket,
	'poin'=>$poin
	];
$exec=insert($koneksi,'bk_siswa',$data);
}
if ($pg == 'edit_bksiswa') {
	$id = $_POST['id'];
      $data = [
	'ket'=>$_POST['ket']
	
	];
$exec=update($koneksi,'bk_siswa',$data,['id'=>$id]);
}	
	
	
	
	